Bug 1867965 - OpenShift Console Deployment Edit overwrites deployment yaml [NEEDINFO]
Summary: OpenShift Console Deployment Edit overwrites deployment yaml
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.4
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: divgupta
QA Contact: spathak@redhat.com
Harsh Mishra
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-11 09:34 UTC by kedar
Modified: 2021-02-24 15:15 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, volume mounts for deployments were not preserved if the deployment was edited using the console edit flows. The modified deployment YAML overwrote or removed the volume mounts in the pod template specification. This issue has been fixed. The volume mounts are now preserved even when the deployment is edited using the console edit flows.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:15:27 UTC
Target Upstream Version:
cvogt: needinfo? (ksalunkh)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7515 0 None closed Bug 1867965: Don't override volumes and volumeMounts in D/DC 2021-02-18 17:35:16 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:15:56 UTC

Description kedar 2020-08-11 09:34:23 UTC
Description of problem:
OpenShift Console Deployment Edit overwrites deployment yaml



Version-Release number of selected component (if applicable):
v4.4

How reproducible:
Suppose you have a Deployment named foo.  If you select foo from the Topology view and click Actions -> Edit foo  (not "edit deployment"), and make a modification (any modification), the modified Deployment yaml will overwrite/remove Volume Mounts in the Pod Template spec.








Additional info:
We apply some Config Maps as volumes to provide configuration to some pods.  The volume declaration in the pod template will remain, but the volume mount of the volume will be removed.

Comment 5 spathak@redhat.com 2021-01-21 10:47:15 UTC
Values of spec.template.spec.Volume and Volume Mounts retained in the Pod Template spec.
Verified on build version: 4.7.0-0.nightly-2021-01-19-095812
Browser version: Chrome 84

Comment 9 errata-xmlrpc 2021-02-24 15:15:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.